package com.as.workflow.dao;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

@Data
@TableName("select_as_physical_distribution_group_by_work_order_no")
public class ViewWorkFlowEntity {
	@TableId(value = "sid",type = IdType.AUTO)
	private Integer sid; // id
	@TableField(value = "work_order_no")
	private Integer workOrderNo; // 物流工单号
	@TableField(value = "work_place")
	private String workPlace; // 工作地点
	@TableField(value = "patient_name")
	private String patientName; // 患者姓名
	@TableField(value = "patient_phone")
	private Integer patientPhone;// 患者电话
	@TableField(value = "prescription")
	private String prescription;// 处方数量
	@TableField(value = "status")
	private String status;// 工作流状态
	@TableField(value = "created_by")
	private String createdBy;// 创建人（操作人）
	@TableField(value = "created_dt")
	private String createdDt;// 创建日期（操作时间）
	private int pageNum;// 页码
	private int pageSize;// 分页数
	
}
